API referenceComments
POST /inbox/comments/{commentId}/{childId}/pin
Pin a top-level comment to the top of the post, where supported (else 400 not_supported). Queued for approval (202) while approval applies
POST
BearerAuthheader
AuthorizationBearer <token>API key sk_...
commentId*stringPost id (platform)
childId*stringPlatform comment id
application/json- body
accountId?stringConnected account id (must belong to the key's organization)
postId?stringPlatform post id (some platforms need it)
{commentId, pinned}
application/json- response
commentId?stringpinned?booleancurl -X POST 'https://example.com/api/v1/inbox/comments/string/string/pin' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "commentId": "string", "pinned": true}